Package weka.core

# Interface CapabilitiesIgnorer

All Known Implementing Classes:
  `AbstractAssociator`, `AbstractClassifier`, `AbstractClusterer`, `AbstractDensityBasedClusterer`, `AbstractFileSaver`, `AbstractSaver`, `AbstractTimeSeries`, `AdaBoostM1`, `Add`, `AddClassification`, `AddCluster`, `AddExpression`, `AddID`, `AdditiveRegression`, `AddNoise`, `AddUserFields`, `AddValues`, `AllFilter`, `Apriori`, `ArffSaver`, `ASEvaluation`, `AttributeSelectedClassifier`, `AttributeSelection`, `AttributeSetEvaluator`, `Bagging`, `BayesNet`, `BayesNetGenerator`, `BIFReader`, `C45Saver`, `Canopy`, `CartesianProduct`, `Center`, `CfsSubsetEval`, `ChangeDateFormat`, `ClassAssigner`, `ClassBalancer`, `ClassConditionalProbabilities`, `ClassificationViaRegression`, `ClassifierAttributeEval`, `ClassifierSubsetEval`, `ClassOrder`, `ClusterMembership`, `Cobweb`, `Copy`, `CorrelationAttributeEval`, `CostSensitiveClassifier`, `CSVSaver`, `CVParameterSelection`, `DatabaseSaver`, `DateToNumeric`, `DecisionStump`, `DecisionTable`, `DictionarySaver`, `DiscreteEstimator`, `DiscreteEstimatorBayes`, `DiscreteEstimatorFullBayes`, `Discretize`, `Discretize`, `EditableBayesNet`, `EM`, `Estimator`, `FarthestFirst`, `Filter`, `FilteredAssociator`, `FilteredClassifier`, `FilteredClusterer`, `FirstOrder`, `FixedDictionaryStringToWordVector`, `FPGrowth`, `GainRatioAttributeEval`, `GaussianProcesses`, `GeneralRegression`, `HierarchicalClusterer`, `HoeffdingTree`, `HoldOutSubsetEvaluator`, `IBk`, `InfoGainAttributeEval`, `InputMappedClassifier`, `InterquartileRange`, `IteratedSingleClassifierEnhancer`, `IterativeClassifierOptimizer`, `J48`, `JRip`, `JSONSaver`, `KernelEstimator`, `KernelFilter`, `KStar`, `LibSVMSaver`, `LinearRegression`, `LMT`, `LMTNode`, `Logistic`, `LogisticBase`, `LogitBoost`, `LWL`, `M5Base`, `M5P`, `M5Rules`, `MahalanobisEstimator`, `MakeDensityBasedClusterer`, `MakeIndicator`, `MathExpression`, `MatlabSaver`, `MergeInfrequentNominalValues`, `MergeManyValues`, `MergeNominalValues`, `MergeTwoValues`, `MultiClassClassifier`, `MultiClassClassifierUpdateable`, `MultiFilter`, `MultilayerPerceptron`, `MultipleClassifiersCombiner`, `MultiScheme`, `NaiveBayes`, `NaiveBayesMultinomial`, `NaiveBayesMultinomialText`, `NaiveBayesMultinomialUpdateable`, `NaiveBayesUpdateable`, `NeuralNetwork`, `NominalToBinary`, `NominalToBinary`, `NominalToString`, `NonSparseToSparse`, `NormalEstimator`, `Normalize`, `NumericCleaner`, `NumericToBinary`, `NumericToDate`, `NumericToNominal`, `NumericTransform`, `Obfuscate`, `OneR`, `OneRAttributeEval`, `OrdinalToNumeric`, `ParallelIteratedSingleClassifierEnhancer`, `ParallelMultipleClassifiersCombiner`, `PART`, `PartitionedMultiFilter`, `PartitionMembership`, `PKIDiscretize`, `PMMLClassifier`, `PoissonEstimator`, `PotentialClassIgnorer`, `PreConstructedLinearModel`, `PrincipalComponents`, `PrincipalComponents`, `RandomCommittee`, `RandomForest`, `RandomizableClassifier`, `RandomizableClusterer`, `RandomizableDensityBasedClusterer`, `RandomizableFilteredClassifier`, `RandomizableIteratedSingleClassifierEnhancer`, `RandomizableMultipleClassifiersCombiner`, `RandomizableParallelIteratedSingleClassifierEnhancer`, `RandomizableParallelMultipleClassifiersCombiner`, `RandomizableSingleClassifierEnhancer`, `RandomizableSingleClustererEnhancer`, `Randomize`, `RandomProjection`, `RandomSubset`, `RandomSubSpace`, `RandomTree`, `Regression`, `RegressionByDiscretization`, `ReliefFAttributeEval`, `Remove`, `RemoveByName`, `RemoveDuplicates`, `RemoveFolds`, `RemoveFrequentValues`, `RemoveMisclassified`, `RemovePercentage`, `RemoveRange`, `RemoveType`, `RemoveUseless`, `RemoveWithValues`, `RenameAttribute`, `RenameNominalValues`, `RenameRelation`, `Reorder`, `ReplaceMissingValues`, `ReplaceMissingWithUserConstant`, `ReplaceWithMissingValue`, `REPTree`, `Resample`, `Resample`, `ReservoirSample`, `RuleNode`, `RuleSetModel`, `SerializedClassifier`, `SerializedInstancesSaver`, `SGD`, `SGDText`, `SimpleBatchFilter`, `SimpleFilter`, `SimpleKMeans`, `SimpleLinearRegression`, `SimpleLogistic`, `SimpleStreamFilter`, `SingleAssociatorEnhancer`, `SingleClassifierEnhancer`, `SingleClustererEnhancer`, `SMO`, `SMOreg`, `SortLabels`, `SparseToNonSparse`, `SpreadSubsample`, `Stacking`, `Standardize`, `StratifiedRemoveFolds`, `StringToNominal`, `StringToWordVector`, `SubsetByExpression`, `SupportVectorMachineModel`, `SVMLightSaver`, `SwapValues`, `SymmetricalUncertAttributeEval`, `TimeSeriesDelta`, `TimeSeriesTranslate`, `Transpose`, `TreeModel`, `UnsupervisedAttributeEvaluator`, `UnsupervisedSubsetEvaluator`, `Vote`, `VotedPerceptron`, `WeightedInstancesHandlerWrapper`, `WrapperSubsetEval`, `XRFFSaver`, `ZeroR`

public interface CapabilitiesIgnorer
Classes implementing this interface make it possible to turn off capabilities checking.

Version:
  $Revision: 11004 $
Author:
  Eibe Frank
See Also:
  - `Capabilities`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDoNotCheckCapabilities()`
  Returns true if we do not actually want to check capabilities to conserver runtime.
  `void`
  `setDoNotCheckCapabilities(boolean flag)`
  If argument is true, capabilities are not actually checked to improve runtime.

- ## Method Details

  - ### getDoNotCheckCapabilities

    boolean getDoNotCheckCapabilities()
    Returns true if we do not actually want to check capabilities to conserver runtime.

  - ### setDoNotCheckCapabilities

    void setDoNotCheckCapabilities(boolean flag)
    If argument is true, capabilities are not actually checked to improve runtime.